=== src/quick/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## Quick Module:
#####################################################################

qt_internal_add_qml_module(Quick
    URI "QtQuick"
    VERSION "${PROJECT_VERSION}"
    DESIGNER_SUPPORTED
    PLUGIN_TARGET qtquick2plugin
    NO_GENERATE_PLUGIN_SOURCE
    CLASS_NAME QtQuick2Plugin
    IMPORTS
        QtQml/auto
    PLUGIN_TYPES scenegraph
    SOURCES
        handlers/qquickdragaxis.cpp handlers/qquickdragaxis_p.h
        handlers/qquickdraghandler.cpp handlers/qquickdraghandler_p.h
        handlers/qquickhandlerpoint.cpp handlers/qquickhandlerpoint_p.h
        handlers/qquickhoverhandler.cpp handlers/qquickhoverhandler_p.h
        handlers/qquickmultipointhandler.cpp handlers/qquickmultipointhandler_p.h
        handlers/qquickmultipointhandler_p_p.h
        handlers/qquickpinchhandler.cpp handlers/qquickpinchhandler_p.h
        handlers/qquickpointerdevicehandler.cpp handlers/qquickpointerdevicehandler_p.h
        handlers/qquickpointerdevicehandler_p_p.h
        handlers/qquickpointerhandler.cpp handlers/qquickpointerhandler_p.h
        handlers/qquickpointerhandler_p_p.h
        handlers/qquickpointhandler.cpp handlers/qquickpointhandler_p.h
        handlers/qquicksinglepointhandler.cpp handlers/qquicksinglepointhandler_p.h
        handlers/qquicksinglepointhandler_p_p.h
        handlers/qquicktaphandler.cpp handlers/qquicktaphandler_p.h
        items/qquickabstractpaletteprovider_p.h
        items/qquickaccessibleattached.cpp items/qquickaccessibleattached_p.h
        items/qquickanchors.cpp items/qquickanchors_p.h
        items/qquickanchors_p_p.h
        items/qquickborderimage.cpp items/qquickborderimage_p.h
        items/qquickborderimage_p_p.h
        items/qquickclipnode.cpp items/qquickclipnode_p.h
        items/qquickcolorgroup.cpp items/qquickcolorgroup_p.h
        items/qquickevents.cpp
        items/qquickevents_p_p.h
        items/qquickflickable.cpp items/qquickflickable_p.h
        items/qquickflickable_p_p.h
        items/qquickflickablebehavior_p.h
        items/qquickfocusscope.cpp items/qquickfocusscope_p.h
        items/qquickgraphicsconfiguration.cpp items/qquickgraphicsconfiguration.h items/qquickgraphicsconfiguration_p.h
        items/qquickgraphicsdevice.cpp items/qquickgraphicsdevice.h items/qquickgraphicsdevice_p.h
        items/qquickgraphicsinfo.cpp items/qquickgraphicsinfo_p.h
        items/qquickimage.cpp items/qquickimage_p.h
        items/qquickimage_p_p.h
        items/qquickimagebase.cpp items/qquickimagebase_p.h
        items/qquickimagebase_p_p.h
        items/qquickimplicitsizeitem.cpp items/qquickimplicitsizeitem_p.h
        items/qquickimplicitsizeitem_p_p.h
        items/qquickitem.cpp items/qquickitem.h items/qquickitem_p.h
        items/qquickitemanimation.cpp items/qquickitemanimation_p.h
        items/qquickitemanimation_p_p.h
        items/qquickitemchangelistener_p.h
        items/qquickitemgrabresult.cpp items/qquickitemgrabresult.h
        items/qquickitemsmodule.cpp items/qquickitemsmodule_p.h
        items/qquickloader.cpp items/qquickloader_p.h
        items/qquickloader_p_p.h
        items/qquickmousearea.cpp items/qquickmousearea_p.h
        items/qquickmousearea_p_p.h
        items/qquickmultipointtoucharea.cpp items/qquickmultipointtoucharea_p.h
        items/qquickpainteditem.cpp items/qquickpainteditem.h items/qquickpainteditem_p.h
        items/qquickpalette.cpp items/qquickpalette_p.h
        items/qquickpalettecolorprovider.cpp items/qquickpalettecolorprovider_p.h
        items/qquickpaletteproviderprivatebase_p.h
        items/qquickpincharea.cpp items/qquickpincharea_p.h
        items/qquickpincharea_p_p.h
        items/qquickrectangle.cpp items/qquickrectangle_p.h
        items/qquickrectangle_p_p.h
        items/qquickrendercontrol.cpp items/qquickrendercontrol.h items/qquickrendercontrol_p.h
        items/qquickrendertarget.cpp items/qquickrendertarget.h items/qquickrendertarget_p.h
        items/qquickrhiitem.cpp items/qquickrhiitem.h items/qquickrhiitem_p.h
        items/qquickscalegrid.cpp
        items/qquickscalegrid_p_p.h
        items/qquickscreen.cpp items/qquickscreen_p.h
        items/qquickstateoperations.cpp items/qquickstateoperations_p.h
        items/qquicktext.cpp items/qquicktext_p.h
        items/qquicktext_p_p.h
        items/qquicktextinterface_p.h
        items/qquicktextcontrol.cpp items/qquicktextcontrol_p.h
        items/qquicktextcontrol_p_p.h
        items/qquicktextdocument.cpp items/qquicktextdocument.h items/qquicktextdocument_p.h
        items/qquicktextedit.cpp items/qquicktextedit_p.h
        items/qquicktextedit_p_p.h
        items/qquicktextinput.cpp items/qquicktextinput_p.h
        items/qquicktextinput_p_p.h
        items/qsginternaltextnode.cpp items/qsginternaltextnode_p.h
        items/qquicktextnodeengine.cpp items/qquicktextnodeengine_p.h
        items/qquicktextutil.cpp items/qquicktextutil_p.h
        items/qquicktranslate.cpp items/qquicktranslate_p.h
        items/qquickview.cpp items/qquickview.h items/qquickview_p.h
        items/qquickwindow.cpp items/qquickwindow.h items/qquickwindow_p.h
        items/qquickwindowattached.cpp items/qquickwindowattached_p.h
        items/qquickwindowcontainer.cpp items/qquickwindowcontainer_p.h
        items/qquickwindowmodule.cpp items/qquickwindowmodule_p.h
        items/qquickwindowmodule_p_p.h
        qtquickglobal.h qtquickglobal_p.h
        scenegraph/adaptations/software/qsgabstractsoftwarerenderer.cpp scenegraph/adaptations/software/qsgabstractsoftwarerenderer_p.h
        scenegraph/adaptations/software/qsgsoftwareadaptation.cpp scenegraph/adaptations/software/qsgsoftwareadaptation_p.h
        scenegraph/adaptations/software/qsgsoftwarecontext.cpp scenegraph/adaptations/software/qsgsoftwarecontext_p.h
        scenegraph/adaptations/software/qsgsoftwareglyphnode.cpp scenegraph/adaptations/software/qsgsoftwareglyphnode_p.h
        scenegraph/adaptations/software/qsgsoftwareinternalimagenode.cpp scenegraph/adaptations/software/qsgsoftwareinternalimagenode_p.h
        scenegraph/adaptations/software/qsgsoftwareinternalrectanglenode.cpp scenegraph/adaptations/software/qsgsoftwareinternalrectanglenode_p.h
        scenegraph/adaptations/software/qsgsoftwarelayer.cpp scenegraph/adaptations/software/qsgsoftwarelayer_p.h
        scenegraph/adaptations/software/qsgsoftwarepainternode.cpp scenegraph/adaptations/software/qsgsoftwarepainternode_p.h
        scenegraph/adaptations/software/qsgsoftwarepixmaprenderer.cpp scenegraph/adaptations/software/qsgsoftwarepixmaprenderer_p.h
        scenegraph/adaptations/software/qsgsoftwarepixmaptexture.cpp scenegraph/adaptations/software/qsgsoftwarepixmaptexture_p.h
        scenegraph/adaptations/software/qsgsoftwarepublicnodes.cpp scenegraph/adaptations/software/qsgsoftwarepublicnodes_p.h
        scenegraph/adaptations/software/qsgsoftwarerenderablenode.cpp scenegraph/adaptations/software/qsgsoftwarerenderablenode_p.h
        scenegraph/adaptations/software/qsgsoftwarerenderablenodeupdater.cpp scenegraph/adaptations/software/qsgsoftwarerenderablenodeupdater_p.h
        scenegraph/adaptations/software/qsgsoftwarerenderer.cpp scenegraph/adaptations/software/qsgsoftwarerenderer_p.h
        scenegraph/adaptations/software/qsgsoftwarerenderlistbuilder.cpp scenegraph/adaptations/software/qsgsoftwarerenderlistbuilder_p.h
        scenegraph/adaptations/software/qsgsoftwarerenderloop.cpp scenegraph/adaptations/software/qsgsoftwarerenderloop_p.h
        scenegraph/compressedtexture/qsgcompressedatlastexture.cpp scenegraph/compressedtexture/qsgcompressedatlastexture_p.h
        scenegraph/compressedtexture/qsgcompressedtexture.cpp scenegraph/compressedtexture/qsgcompressedtexture_p.h
        scenegraph/coreapi/qsgabstractrenderer.cpp scenegraph/coreapi/qsgabstractrenderer_p.h
        scenegraph/coreapi/qsgabstractrenderer_p_p.h
        scenegraph/coreapi/qsgbatchrenderer.cpp scenegraph/coreapi/qsgbatchrenderer_p.h
        scenegraph/coreapi/qsggeometry.cpp scenegraph/coreapi/qsggeometry.h scenegraph/coreapi/qsggeometry_p.h
        scenegraph/coreapi/qsgmaterial.cpp scenegraph/coreapi/qsgmaterial.h
        scenegraph/coreapi/qsgmaterialshader.cpp scenegraph/coreapi/qsgmaterialshader.h scenegraph/coreapi/qsgmaterialshader_p.h
        scenegraph/coreapi/qsgmaterialtype.h
        scenegraph/coreapi/qsgnode.cpp scenegraph/coreapi/qsgnode.h scenegraph/coreapi/qsgnode_p.h
        scenegraph/coreapi/qsgnodeupdater.cpp scenegraph/coreapi/qsgnodeupdater_p.h
        scenegraph/coreapi/qsgrenderer.cpp scenegraph/coreapi/qsgrenderer_p.h
        scenegraph/coreapi/qsgrendererinterface.cpp scenegraph/coreapi/qsgrendererinterface.h
        scenegraph/coreapi/qsgrendernode.cpp scenegraph/coreapi/qsgrendernode.h scenegraph/coreapi/qsgrendernode_p.h
        scenegraph/coreapi/qsgrhivisualizer.cpp scenegraph/coreapi/qsgrhivisualizer_p.h
        scenegraph/coreapi/qsgtexture.cpp scenegraph/coreapi/qsgtexture.h scenegraph/coreapi/qsgtexture_p.h
        scenegraph/coreapi/qsgtexture_platform.h
        scenegraph/qsgadaptationlayer.cpp scenegraph/qsgadaptationlayer_p.h
        scenegraph/qsgcurveabstractnode_p.h
        scenegraph/qsgbasicglyphnode.cpp scenegraph/qsgbasicglyphnode_p.h
        scenegraph/qsgbasicinternalimagenode.cpp scenegraph/qsgbasicinternalimagenode_p.h
        scenegraph/qsgbasicinternalrectanglenode.cpp scenegraph/qsgbasicinternalrectanglenode_p.h
        scenegraph/qsgcontext.cpp scenegraph/qsgcontext_p.h
        scenegraph/qsgcontextplugin.cpp scenegraph/qsgcontextplugin_p.h
        scenegraph/qsgcurvefillnode.cpp scenegraph/qsgcurvefillnode_p.cpp scenegraph/qsgcurvefillnode_p.h scenegraph/qsgcurvefillnode_p_p.h
        scenegraph/qsgcurvestrokenode.cpp scenegraph/qsgcurvestrokenode_p.cpp scenegraph/qsgcurvestrokenode_p.h scenegraph/qsgcurvestrokenode_p_p.h
        scenegraph/qsgdefaultcontext.cpp scenegraph/qsgdefaultcontext_p.h
        scenegraph/qsgdefaultglyphnode.cpp scenegraph/qsgdefaultglyphnode_p.cpp scenegraph/qsgdefaultglyphnode_p.h
        scenegraph/qsgcurveglyphatlas.cpp scenegraph/qsgcurveglyphatlas_p.h
        scenegraph/qsgcurveglyphnode.cpp scenegraph/qsgcurveglyphnode_p.h
        scenegraph/qsgdefaultglyphnode_p_p.h
        scenegraph/qsgdefaultinternalimagenode.cpp scenegraph/qsgdefaultinternalimagenode_p.h
        scenegraph/qsgdefaultinternalrectanglenode.cpp scenegraph/qsgdefaultinternalrectanglenode_p.h
        scenegraph/qsgdefaultrendercontext.cpp scenegraph/qsgdefaultrendercontext_p.h
        scenegraph/qsgdistancefieldglyphnode.cpp scenegraph/qsgdistancefieldglyphnode_p.cpp scenegraph/qsgdistancefieldglyphnode_p.h
        scenegraph/qsgdistancefieldglyphnode_p_p.h
        scenegraph/qsgrenderloop.cpp scenegraph/qsgrenderloop_p.h
        scenegraph/qsgrhidistancefieldglyphcache.cpp scenegraph/qsgrhidistancefieldglyphcache_p.h
        scenegraph/qsgrhiinternaltextnode.cpp scenegraph/qsgrhiinternaltextnode_p.h
        scenegraph/qsgrhilayer.cpp scenegraph/qsgrhilayer_p.h
        scenegraph/qsgrhishadereffectnode.cpp scenegraph/qsgrhishadereffectnode_p.h
        scenegraph/qsgrhisupport.cpp scenegraph/qsgrhisupport_p.h
        scenegraph/qsgrhitextureglyphcache.cpp scenegraph/qsgrhitextureglyphcache_p.h
        scenegraph/qsgcurveprocessor.cpp scenegraph/qsgcurveprocessor_p.h
        scenegraph/util/qsgareaallocator.cpp scenegraph/util/qsgareaallocator_p.h
        scenegraph/util/qsgdefaultimagenode.cpp scenegraph/util/qsgdefaultimagenode_p.h
        scenegraph/util/qsgdefaultninepatchnode.cpp scenegraph/util/qsgdefaultninepatchnode_p.h
        scenegraph/util/qsgdefaultpainternode.cpp scenegraph/util/qsgdefaultpainternode_p.h
        scenegraph/util/qsgdefaultrectanglenode.cpp scenegraph/util/qsgdefaultrectanglenode_p.h
        scenegraph/util/qsgflatcolormaterial.cpp scenegraph/util/qsgflatcolormaterial.h
