=== tests/auto/qmltest/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qmltest.pro.

add_subdirectory(animatedimage)
add_subdirectory(animations)
add_subdirectory(borderimage)
add_subdirectory(buttonclick)
add_subdirectory(createbenchmark)
add_subdirectory(events)
add_subdirectory(fontloader)
add_subdirectory(fuzzycompare)
add_subdirectory(gradient)
add_subdirectory(image)
add_subdirectory(itemgrabber)
add_subdirectory(layout)
add_subdirectory(listmodel)
add_subdirectory(listview)
add_subdirectory(objectmodel)
add_subdirectory(pathview)
add_subdirectory(positioners)
add_subdirectory(qqmlbinding)
add_subdirectory(qtbug46798)
add_subdirectory(rectangle)
add_subdirectory(selftests)
add_subdirectory(shadersource)
add_subdirectory(stability)
add_subdirectory(text)
add_subdirectory(textedit)
add_subdirectory(textinput)
add_subdirectory(window)
