=== debian/changelog ===
qt6-declarative (6.8.2+dfsg-7+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 6.2.2+dfsg-4+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 24 Mar 2022 17:37:51 +0000]
  * Update symbols files for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 04 Apr 2025 04:05:28 +0000

qt6-declarative (6.8.2+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Update symbols file for 32 vs 64 bits. (Closes: #1099573, #1099824)

 -- Pino Toscano <pino@debian.org>  Sat, 29 Mar 2025 06:39:10 +0100

qt6-declarative (6.8.2+dfsg-6) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:34:33 +0100

qt6-declarative (6.8.2+dfsg-5) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 20 Feb 2025 08:23:04 +0100

qt6-declarative (6.8.2+dfsg-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 17 Feb 2025 22:40:32 +0100

qt6-declarative (6.8.2+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Feb 2025 22:00:14 +0100

qt6-declarative (6.8.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add qt6-qmlls-plugins as a dependency to qt6-declarative-dev.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 10 Feb 2025 18:11:53 +0100

qt6-declarative (6.8.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update ABI to 6.8.2.
  * New binary packages and update list of installed files.
  * Update symbols from buildlogs.
  * Update lintian-overrides.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 04 Feb 2025 22:44:50 +0100
